<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::LiSPSMShadowCameraSetup Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1LiSPSMShadowCameraSetup.html">Ogre::LiSPSMShadowCameraSetup</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LiSPSMShadowCameraSetup.html#3926ba17e4a63758954fd2dfd49f5a5e">buildFrustumProjection</a>(Real left, Real right, Real bottom, Real top, Real near, Real far) const </td><td><a class="el" href="classOgre_1_1LiSPSMShadowCameraSetup.html">Ogre::LiSPSMShadowCameraSetup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#2717983dfbfaff59191bb51fae350ece">buildViewMatrix</a>(const Vector3 &amp;pos, const Vector3 &amp;dir, const Vector3 &amp;up) const </td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#561c5825cdc94896a738e4eb3a0b8852">calculateB</a>(const SceneManager &amp;sm, const Camera &amp;cam, const Light &amp;light, const AxisAlignedBox &amp;sceneBB, PointListBody *out_bodyB) const </td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LiSPSMShadowCameraSetup.html#8adae0ea9d0e7f22d4418063fda70e1b">calculateLiSPSM</a>(const Matrix4 &amp;lightSpace, const PointListBody &amp;bodyB, const PointListBody &amp;bodyLVS, const SceneManager &amp;sm, const Camera &amp;cam, const Light &amp;light) const </td><td><a class="el" href="classOgre_1_1LiSPSMShadowCameraSetup.html">Ogre::LiSPSMShadowCameraSetup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#0706a0e7b7ec6aecf9639dbe5b9cc7a2">calculateLVS</a>(const SceneManager &amp;sm, const Camera &amp;cam, const Light &amp;light, const AxisAlignedBox &amp;sceneBB, PointListBody *out_LVS) const </td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LiSPSMShadowCameraSetup.html#35ad9f04a8f64384b65f581a97238ebd">calculateNOpt</a>(const Matrix4 &amp;lightSpace, const AxisAlignedBox &amp;bodyBABB_ls, const PointListBody &amp;bodyLVS, const Camera &amp;cam) const </td><td><a class="el" href="classOgre_1_1LiSPSMShadowCameraSetup.html">Ogre::LiSPSMShadowCameraSetup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LiSPSMShadowCameraSetup.html#992f857c2e95a944dd1be197137a1a47">calculateNOptSimple</a>(const PointListBody &amp;bodyLVS, const Camera &amp;cam) const </td><td><a class="el" href="classOgre_1_1LiSPSMShadowCameraSetup.html">Ogre::LiSPSMShadowCameraSetup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#7236f92a6006f84b7441adce882713df">calculateShadowMappingMatrix</a>(const SceneManager &amp;sm, const Camera &amp;cam, const Light &amp;light, Matrix4 *out_view, Matrix4 *out_proj, Camera *out_cam) const </td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LiSPSMShadowCameraSetup.html#771d2cfad9388f156de63faacbe4b4fe">calculateZ0_ls</a>(const Matrix4 &amp;lightSpace, const Vector3 &amp;e, Real bodyB_zMax_ls, const Camera &amp;cam) const </td><td><a class="el" href="classOgre_1_1LiSPSMShadowCameraSetup.html">Ogre::LiSPSMShadowCameraSetup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#f4fec2364b3404a7738e9b5ede0710e7">FocusedShadowCameraSetup</a>(void)</td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#5a463b751319df295758fa832e9f8e2d">getLSProjViewDir</a>(const Matrix4 &amp;lightSpace, const Camera &amp;cam, const PointListBody &amp;bodyLVS) const </td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#023ab991324e937410c0b8bc654085e5">getNearCameraPoint_ws</a>(const Matrix4 &amp;viewMatrix, const PointListBody &amp;bodyLVS) const </td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LiSPSMShadowCameraSetup.html#af7b2c705eff6b04d001279e7ad5b846">getOptimalAdjustFactor</a>() const </td><td><a class="el" href="classOgre_1_1LiSPSMShadowCameraSetup.html">Ogre::LiSPSMShadowCameraSetup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LiSPSMShadowCameraSetup.html#d8969d629ddf8c9e01f22c5342888b99">getShadowCamera</a>(const SceneManager *sm, const Camera *cam, const Viewport *vp, const Light *light, Camera *texCam) const </td><td><a class="el" href="classOgre_1_1LiSPSMShadowCameraSetup.html">Ogre::LiSPSMShadowCameraSetup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#89fc1444a88d8c20c35ee50a8c518564">getUseAggressiveFocusRegion</a>() const </td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LiSPSMShadowCameraSetup.html#8fc373347be0c44cc787ff984e3a861f">getUseSimpleOptimalAdjust</a>() const </td><td><a class="el" href="classOgre_1_1LiSPSMShadowCameraSetup.html">Ogre::LiSPSMShadowCameraSetup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LiSPSMShadowCameraSetup.html#9773b96e56d49b46ae8b71ef94e60e73">LiSPSMShadowCameraSetup</a>(void)</td><td><a class="el" href="classOgre_1_1LiSPSMShadowCameraSetup.html">Ogre::LiSPSMShadowCameraSetup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#e784e0376eb99fa60f2c4a995ccd162e">mBodyB</a></td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#1cdb9e5c72f7bbb936b2ba84cf605787">mLightFrustumCamera</a></td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#113a55085b7c23a1004a4be9f3155c1c">mLightFrustumCameraCalculated</a></td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LiSPSMShadowCameraSetup.html#ae134702a175b3f5048364a6e44a0a12">mOptAdjustFactor</a></td><td><a class="el" href="classOgre_1_1LiSPSMShadowCameraSetup.html">Ogre::LiSPSMShadowCameraSetup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#84c5bc98d3d36f4e3f858d726d1cb19e">mPointListBodyB</a></td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#69328121d415c6e9033ff0e3d7d21cd2">mPointListBodyLVS</a></td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#3c6218ad4ccccd28374444f1ecd2b3d5">msLightSpaceToNormal</a></td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#2022a48e9e37aa409682d320233cfa09">msNormalToLightSpace</a></td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#0ebae20e4252d229af9524a8690ecc11">mTempFrustum</a></td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#c22ea363ab7fc61d60f0c1518015cb6b">mUseAggressiveRegion</a></td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LiSPSMShadowCameraSetup.html#10db7404fd7ff4b65920f35a1e7412d9">mUseSimpleNOpt</a></td><td><a class="el" href="classOgre_1_1LiSPSMShadowCameraSetup.html">Ogre::LiSPSMShadowCameraSetup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LiSPSMShadowCameraSetup.html#a4f0c58ca0ea89aa7e4b11def4976ea6">setOptimalAdjustFactor</a>(Real n)</td><td><a class="el" href="classOgre_1_1LiSPSMShadowCameraSetup.html">Ogre::LiSPSMShadowCameraSetup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#f57854c45cd48033da1cb28e316901dc">setUseAggressiveFocusRegion</a>(bool aggressive)</td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LiSPSMShadowCameraSetup.html#e09cafbe81832dd23c70f85d9435b213">setUseSimpleOptimalAdjust</a>(bool s)</td><td><a class="el" href="classOgre_1_1LiSPSMShadowCameraSetup.html">Ogre::LiSPSMShadowCameraSetup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#1438dc104a74c79bbe98df922e31651b">transformToUnitCube</a>(const Matrix4 &amp;m, const PointListBody &amp;body) const </td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#a37dc46bc1cc5a65359c66fdb539b74c">~FocusedShadowCameraSetup</a>(void)</td><td><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">Ogre::FocusedShadowCameraSetup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LiSPSMShadowCameraSetup.html#a619e8c0071d56b9a020413bb15d93a5">~LiSPSMShadowCameraSetup</a>(void)</td><td><a class="el" href="classOgre_1_1LiSPSMShadowCameraSetup.html">Ogre::LiSPSMShadowCameraSetup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCameraSetup.html#790a06721a8e3c6f48218aa659c334ef">~ShadowCameraSetup</a>()</td><td><a class="el" href="classOgre_1_1ShadowCameraSetup.html">Ogre::ShadowCameraSetup</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:36 2008
</p>
</body>
</html>
